function [Kcores1,Ccores1,Rcores1] = assemble(Ktot_core,Ctot_core,Rtot_core,core_elems,dof,elem_nodes,Kcores1,Ccores1,Rcores1)

for i = 1:length(core_elems)
    nodes = elem_nodes(core_elems(i),:);
    name = ['K_' num2str(i)];
    Kcores.(name) = zeros(dof,dof);
    Kcores.(name)(nodes(1),nodes(1)) = Ktot_core(1,1);
    Kcores.(name)(nodes(1),nodes(2)) = Ktot_core(1,2);
    Kcores.(name)(nodes(1),nodes(3)) = Ktot_core(1,3);
    Kcores.(name)(nodes(1),nodes(4)) = Ktot_core(1,4);
    Kcores.(name)(nodes(2),nodes(1)) = Ktot_core(2,1);
    Kcores.(name)(nodes(2),nodes(2)) = Ktot_core(2,2);
    Kcores.(name)(nodes(2),nodes(3)) = Ktot_core(2,3);
    Kcores.(name)(nodes(2),nodes(4)) = Ktot_core(2,4);
    Kcores.(name)(nodes(3),nodes(1)) = Ktot_core(3,1);
    Kcores.(name)(nodes(3),nodes(2)) = Ktot_core(3,2);
    Kcores.(name)(nodes(3),nodes(3)) = Ktot_core(3,3);
    Kcores.(name)(nodes(3),nodes(4)) = Ktot_core(3,4);
    Kcores.(name)(nodes(4),nodes(1)) = Ktot_core(4,1);
    Kcores.(name)(nodes(4),nodes(2)) = Ktot_core(4,2);
    Kcores.(name)(nodes(4),nodes(3)) = Ktot_core(4,3);
    Kcores.(name)(nodes(4),nodes(4)) = Ktot_core(4,4);
    
    Kcores1 = Kcores.(name) + Kcores1;
    
    Ccores.(name) = zeros(dof,dof);
    Ccores.(name)(nodes(1),nodes(1)) = Ctot_core(1,1);
    Ccores.(name)(nodes(1),nodes(2)) = Ctot_core(1,2);
    Ccores.(name)(nodes(1),nodes(3)) = Ctot_core(1,3);
    Ccores.(name)(nodes(1),nodes(4)) = Ctot_core(1,4);
    Ccores.(name)(nodes(2),nodes(1)) = Ctot_core(2,1);
    Ccores.(name)(nodes(2),nodes(2)) = Ctot_core(2,2);
    Ccores.(name)(nodes(2),nodes(3)) = Ctot_core(2,3);
    Ccores.(name)(nodes(2),nodes(4)) = Ctot_core(2,4);
    Ccores.(name)(nodes(3),nodes(1)) = Ctot_core(3,1);
    Ccores.(name)(nodes(3),nodes(2)) = Ctot_core(3,2);
    Ccores.(name)(nodes(3),nodes(3)) = Ctot_core(3,3);
    Ccores.(name)(nodes(3),nodes(4)) = Ctot_core(3,4);
    Ccores.(name)(nodes(4),nodes(1)) = Ctot_core(4,1);
    Ccores.(name)(nodes(4),nodes(2)) = Ctot_core(4,2);
    Ccores.(name)(nodes(4),nodes(3)) = Ctot_core(4,3);
    Ccores.(name)(nodes(4),nodes(4)) = Ctot_core(4,4);
    
    Ccores1 = Ccores.(name) + Ccores1;
    
    Rcores.(name) = zeros(dof,1);
    Rcores.(name)(nodes(1)) = Rtot_core(1);
    Rcores.(name)(nodes(2)) = Rtot_core(2);
    Rcores.(name)(nodes(3)) = Rtot_core(3);
    Rcores.(name)(nodes(4)) = Rtot_core(4);

    Rcores1 = Rcores.(name) + Rcores1;
end