function [Kcond] = coreCond(kx,ky,dx,dy)

kc_11 = kx*(1/3*dy^3 - dy^2 + dy)*dx + ky*(1/3*dx^3 - dx^2 + dx)*dy;
kc_12 = kx*(dy^2 - 1/3*dy^3 + dy)*dx + ky*(1/2*dx^2 - 1/3*dx^3)*dy;
kc_13 = kx*(1/3*dy^3 - 1/2*dy^2)*dx  + ky*(1/3*dx^3 - 1/2*dx^2)*dy;
kc_14 = kx*(-1/3*dy^3 + 1/2*dy^2)*dx + ky*(-1/3*dx^3 + 1/2*dx^2)*dy;
kc_22 = kx*(dy - 1/3*dy^3)*dx        + ky*(1/3*dx^3)*dy;
kc_23 = kx*(-1/3*dy^3 + 1/2*dy^2)*dx - ky*(1/3*dx^3)*dy;
kc_24 = kx*(1/3*dy^3 - 1/2*dy^2)*dx  + ky*(1/3*dx^3)*dy;
kc_33 = kx*(1/3*dy^3)*dx             + ky*(1/3*dx^3)*dy;
kc_34 = -kx*(1/3*dy^3)*dx            - ky*(1/3*dx^3)*dy;
kc_44 = kx*(1/3*dy^3)*dx             + ky*(1/3*dx^3)*dy;

Kcond = [kc_11 kc_12 kc_13 kc_14;
         kc_12 kc_22 kc_23 kc_24;
         kc_13 kc_23 kc_33 kc_34; 
         kc_14 kc_24 kc_34 kc_44];