function [nodes_on_bott,nodes_on_top,nodes_on_right,nodes_on_left] = findBoundNodes(n_ele_x,n_ele_y)

%--------------------------------------------------------------------------
% Create matrices containing the boundary nodes
  % Bottom edge
  bott_edge = zeros(n_ele_x,2);
  for i=1:n_ele_x
    bott_edge(i,1) = i;
    bott_edge(i,2) = i+1;
  end
  nodes_on_bott = unique(bott_edge);
  % Top edge
  top_edge = zeros(n_ele_x,2);
  for i=((n_ele_x+1)*(n_ele_y)+1):1:((n_ele_x+1)*(n_ele_y+1)-1)
      k = i - ((n_ele_x+1)*(n_ele_y));
    top_edge(k,1) = i;
    top_edge(k,2) = i+1;
  end
  nodes_on_top = unique(top_edge);
  % Right edge
  right_edge = zeros(n_ele_y,2);
  for i=1:n_ele_y
    right_edge(i,1) = i*(n_ele_x+1);
    right_edge(i,2) = (i+1)*(n_ele_x+1);
  end
  nodes_on_right = unique(right_edge);
  % Left edge
  left_edge = zeros(n_ele_y,2);
  left_edge(1,1) = 1;
  left_edge(1,2) = 1+n_ele_y+1;
  for i=2:n_ele_y
    left_edge(i,1) = left_edge(i-1,2);
    left_edge(i,2) = left_edge(i-1,2)+(n_ele_y+1);
  end
  nodes_on_left = unique(left_edge);
%-------------------------------------------------------------------------- 